<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="content-header">
  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY' (click)="handleApprovedProject()"
    mbButtonText="{{'Duyệt' | translate}}" *ngIf="objFunction?.approve"></mb-button>
  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY' (click)="showModal()"
    mbButtonText="{{'Từ chối' | translate}}" *ngIf="objFunction?.approve"></mb-button>
</div>

<nz-card class="border-radius-card">
  <div nz-row [nzGutter]="[30, 10]" style="align-items: flex-end;">
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <mb-select [mbDataSelects]="listProjectApproved" mbKeyLabel="prjName" mbKeyValue="prjName" mbLabelText="Tên dự án"
        mbPlaceholder="{{'modelOrganization.planYear.placeHoder.chooseType' | translate}}" [mbOptionHeightPx]="55"
        [(ngModel)]="objectSearch.prjName">
      </mb-select>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <mb-select [mbDataSelects]="listUnit" mbKeyLabel="orgName" mbKeyValue="orgName" mbLabelText="Đơn vị quản lý dự án"
        mbPlaceholder="{{'modelOrganization.planYear.placeHoder.chooseType' | translate}}" [mbOptionHeightPx]="55"
        [(ngModel)]="objectSearch.orgName">
      </mb-select>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM' (click)="searchListProjectApproved()"
        mbButtonText="{{'common.button.search' | translate}}"></mb-button>
    </div>
  </div>
</nz-card>

<div *ngIf="showReason" class="form-reject">
  <form #formReject="ngForm" nz-form>
    <ng-container *ngIf="formReject">
      <div nz-col nzXs="24" nzLg="24">
        <mb-input-text name="reason" required noAllowSpace [mbMaxLength]="400" [mbIsTextAre]="true"
          [mbType]="isSubmittedReject && (formReject.controls['reason']?.errors || formReject.errors?.noAllowSpace) ? 'error' : 'default'"
          [mbShowError]="isSubmittedReject && (formReject.controls['reason']?.errors || formReject.errors?.noAllowSpace) !== null"
          [mbErrors]="formReject.controls['reason']?.errors" [mbErrorDefs]="[
          { errorName: 'maxlength', errorDescription: 'system.validate.maxLength' | translate: {'numberLength': '400' }},
          { errorName: 'required', errorDescription: 'modelOrganization.validate.reasonReject' | translate },
          { errorName: 'noAllowSpace', errorDescription: 'modelOrganization.validate.reasonReject' | translate }]"
          mbPlaceholderText="{{'modelOrganization.placeHoder.commentApprove' | translate}}"
          [(ngModel)]="objectSearch.description">
        </mb-input-text>
      </div>
      <div class="max-length-input"><span>{{objectSearch.description.length}}/400</span></div>
    </ng-container>
  </form>
</div>

<nz-table class="custom-style-table" [nzPageSize]="listSettingPaginationCustom.total" [nzShowPagination]="false"
  #basicTable [nzData]="listProjectApproved" [nzScroll]="listProjectApproved?.length > 0 ? { x: 'SCROLL_CONFIG' } : {}"
  [nzShowPagination]="false" nzTableLayout="fixed" [nzSize]="TABLE_SIZE">
  <thead>
    <tr>
      <th scope="col" [nzShowCheckbox]="true" [nzChecked]="checked" (nzCheckedChange)="onAllChecked($event)"
        nzWidth="80px"></th>
      <th scope="col" nzWidth="80px">STT</th>
      <th scope="col">Tên dự án</th>
      <th scope="col">Đơn vị quản lý dự án</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let data of basicTable.data, let i = index" (dblclick)="redrirectToDetailProject(data.prjId)">
      <td [nzChecked]="setOfCheckedId.has(data.prjId)" (nzCheckedChange)="onItemChecked(data.prjId, $event)">
      </td>
      <td >
        {{ i + 1 + listSettingPaginationCustom.size*listSettingPaginationCustom.pageIndex }}
      </td>
      <td>{{data.prjName}}</td>
      <td>
        <div *ngFor="let item of data.orgNames, let i = index">
          {{item}}
        </div>
      </td>
    </tr>
  </tbody>
</nz-table>

<div class="pagination" *ngIf="listSettingPaginationCustom.total > 0">
  <div style="padding-left: 22px;">
    <img src="assets/images/icon/idea.svg" alt="" />
    <span>
      {{'common.paging.rangePage' | translate:{result:listSettingPaginationCustom.total} }}
      {{listSettingPaginationCustom.size * listSettingPaginationCustom.pageIndex + 1}}
      {{'common.paging.to' | translate}}
      {{listSettingPaginationCustom.size * listSettingPaginationCustom.pageIndex +
      listSettingPaginationCustom.numberOfElements}}
    </span>
  </div>
  <nz-pagination [nzPageIndex]="listSettingPaginationCustom.pageIndex + 1"
    (nzPageIndexChange)="getListAprrovedProjectPagination($event)" [nzTotal]="listSettingPaginationCustom.total"
    [nzPageSize]="listSettingPaginationCustom.size"></nz-pagination>
</div>
